commit: 36b48f9e0da5fc971f2096cb5b684400583ea5ee
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Thu Dec 28 09:02:18 2023 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Thu Dec 28 09:33:53 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=36b48f9e
dev-ruby/plist: add 3.7.1
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
dev-ruby/plist/Manifest | 1 +
dev-ruby/plist/plist-3.7.1.ebuild | 29 +++++++++++++++++++++++++++++
2 files changed, 30 insertions(+)
diff --git a/dev-ruby/plist/Manifest b/dev-ruby/plist/Manifest
index e76e916bd61d..5781efaa89bb 100644
--- a/dev-ruby/plist/Manifest
+++ b/dev-ruby/plist/Manifest
@@ -1 +1,2 @@
DIST plist-3.7.0.tar.gz 38215 BLAKE2B
a92cb0e4902c4e7a76ab9aca32a340c69f196bfb2c8836deab897e7cf9b653e74bae1aa0ad4de0eee71876bcc787bbc7caaa0ba61d4a716bff3cf202d14a6a12
SHA512
138ff5d9890f3da2add2f2d7935d7cacfcd57314ae92bf04b1ca4d37fe00d586a40629e84c8b9ef871db277587efe2375d934ca5a7e7b92eaffb441ee361e533
+DIST plist-3.7.1.tar.gz 38307 BLAKE2B
7c03af0a1567f6f8f0543626e1993d8a921f7330b560d618754d396fb282298ccdee35e9992b8a6e1131479ce09a9fa0c37b906547ff636109d0e38035abc53f
SHA512
cd1c88027bccaa3005837e06df4f300005691fdda97d0e8d62cc7babacb6d1f3f80d7a446978f234b2f883246de34f29265578aba10a1d2995f65918bf1f7c9e
diff --git a/dev-ruby/plist/plist-3.7.1.ebuild
b/dev-ruby/plist/plist-3.7.1.ebuild
new file mode 100644
index 000000000000..c0b029420060
--- /dev/null
+++ b/dev-ruby/plist/plist-3.7.1.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby31 ruby32 ruby33"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.rdoc README.rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="A library to manipulate Property List files, also known as plists"
+HOMEPAGE="https://github.com/patsplat/plist"
+SRC_URI="https://github.com/patsplat/plist/archive/v${PV}.tar.gz ->
${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos"
+IUSE=""
+
+ruby_add_rdepend "test? ( dev-ruby/base64 )"
+
+all_ruby_prepare() {
+ sed -i -e '/bundler/ s:^:#:' Rakefile || die
+ sed -i -e 's/git ls-files -z/find * -print0/' ${RUBY_FAKEGEM_GEMSPEC}
|| die
+}